camp_triggers = {
	['3rd Syrian Attack Helicopter Rgt Activation'] = {
		['condition'] = 'Return.Mission() > 3',
		['once'] = true,
		['action'] = {
			[1] = 'Action.AirUnitActive("3rd Syrian Attack Helicopter Rgt", true)',
		},
		['active'] = true,
	},
	['Campaign 40 percents destructions'] = {
		['condition'] = 'GroundTarget["blue"].percent < 60',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("Enemy targets have sustained great damages. Strike missions are really efficient and we will win this war soon")',
		},
		['active'] = true,
	},
	['Campaign End Loss 3'] = {
		['condition'] = 'GroundTarget["red"].percent < 60',
		['once'] = true,
		['action'] = {
			[2] = 'Action.Text("Syrian airforce was able to destroy enough allied forces to decide US Command to ask for a cease fire  and stop any Air missions. This is a bitter failure for the Allies.")',
			[3] = 'Action.Text("L armee de lair syrienne a reussi a detruire suffisamment de forces alliees pour decider le commandement americain de demander un cessez-le-feu et d arreter toute mission aerienne. C est un echec cuisant pour les Allies.")',
			[1] = 'Action.CampaignEnd("loss")',
			[4] = 'Action.AddImage("Newspaper_Defeat_blue.jpg", "blue")',
			[5] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['SAM-SA2-Frontline-North activation'] = {
		['condition'] = 'Return.Mission() > 4',
		['once'] = true,
		['action'] = {
			[1] = 'Action.TemplateActive("SAM-SA2-Frontline-North-T1.stm")',
			[2] = 'Action.TargetActive("SAM-SA2-Frontline-North", true)',
			[3] = 'Action.Text("A new SA-2 site is operational near the Beirut airport and nearly stop any flights in the vicinity")',
		},
		['active'] = true,
	},
	['Campaign Red 35 percents destructions'] = {
		['condition'] = 'GroundTarget["red"].percent < 65',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("Too much allied troops are neutralized. We will ask for a cease fire soon")',
		},
		['active'] = true,
	},
	['Beirout airport targeting activation'] = {
		['condition'] = 'GroundTarget["blue"].percent <= 70',
		['once'] = true,
		['action'] = {
			[1] = 'Action.TargetActive("Beirut-Rafic Hariri Airbase", true)',
			[2] = 'Action.TargetActive("Beirut-Rafic Hariri Airbase Runway", true)',
			[3] = 'Action.Text("Intelligence intercepted communications ordering enemy fighter jets to destroy Beirut airport and its runway. After the heavy losses suffered, the enemy does not want the airport to fall intact into our hands. We must defend it at all costs otherwise all our efforts will have been in vain.")',
		},
		['active'] = true,
	},
	['Campaign Red 30 percents destructions'] = {
		['condition'] = 'GroundTarget["red"].percent < 70',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("Allies troops have sustained great damages. Enemy strike missions are too efficient and they will win this war soon")',
		},
		['active'] = true,
	},
	['CAP After EWR Destroyed'] = {
		['condition'] = 'Return.TargetAlive("EWR-Rene-Mouawad Site") == 0 and Return.TargetAlive("EWR-Rayak Site") == 0 and Return.TargetAlive("EWR-Mezzeh Site") == 0',
		['once'] = true,
		['action'] = {
			[7] = 'Action.TargetActive("Tiyas Airbase Alert 300 Km", false)',
			[1] = 'Action.TargetActive("CAP North Syria", true)',
			[2] = 'Action.TargetActive("CAP Center Syria", true)',
			[4] = 'Action.TargetActive("Abu al Duhur Airbase Alert 140 Km", false)',
			[8] = 'Action.TargetActive("Shayrat Airbase Alert 230 Km", false)',
			[9] = 'Action.TargetActive("Aleppo Airbase Alert 90 Km", false)',
			[5] = 'Action.TargetActive("Bassel Al Assad Airbase Alert 80 Km", false)',
			[10] = 'Action.TargetActive("Al-Dumayr Airbase Alert 220 Km", false)',
			[3] = 'Action.TargetActive("CAP South Syria", true)',
			[6] = 'Action.TargetActive("An Nasiriyah Airbase Alert 250 Km", false)',
			[11] = 'Action.Text("With the recent destruction of all Early Warning Radar sites in the operations area, the ability of the enemy to launch interceptors against our strike packages was severely degraded. Intelligence expects that the enemy will increasingly depend on Combat Air Patrols to compensate, though without the support of ground controllers these are estimated to be of limited effectiveness.")',
		},
		['active'] = true,
	},
	['1st Syrian Attack Helicopter Rgt Activation'] = {
		['condition'] = 'Return.Mission() > 2',
		['once'] = true,
		['action'] = {
			[1] = 'Action.AirUnitActive("1st Syrian Attack Helicopter Rgt", true)',
		},
		['active'] = true,
	},
	['GroundUnitRepair'] = {
		['condition'] = 'true',
		['action'] = 'Action.GroundUnitRepair()',
		['active'] = true,
	},
	['Insurgent-Mortar-Team-1 activation'] = {
		['condition'] = 'Return.Mission() > 0',
		['once'] = true,
		['action'] = {
			[1] = 'Action.TemplateActive("Insurgent-Mortar-Team-1-T1.stm","Insurgent-Mortar-Team-1-T2.stm","Insurgent-Mortar-Team-1-T3.stm")',
			[2] = 'Action.TargetActive("Insurgent-Mortar-Team-1", true)',
		},
		['active'] = false,
	},
	['Insurgent-Mortar-Team-2 activation'] = {
		['condition'] = 'Return.Mission() > 4',
		['once'] = false,
		['action'] = {
			[1] = 'Action.TemplateActive("Insurgent-Mortar-Team-2-T1.stm","Insurgent-Mortar-Team-2-T2.stm","Insurgent-Mortar-Team-2-T3.stm")',
			[2] = 'Action.TargetActive("Insurgent-Mortar-Team-2", true)',
		},
		['active'] = true,
	},
	['Russian Expeditionary Force 1 move 2'] = {
		['condition'] = 'Return.targetIsActive("Russian Expeditionary Force 1") and Return.CampFlag(801) and (Return.Mission() == Return.CampFlag(801) + 1) and (Return.TargetAlive("Russian Expeditionary Force 1") > 0)',
		['once'] = false,
		['action'] = {
			[1] = 'Action.TemplateActive("Russian Expeditionary Force 1-T2.stm")',
			[2] = 'Action.Text("Russian Expeditionary Column Force is moving west on the roads just to the west of Rayak Airbase")',
			[3] = 'Action.AddImage("Russian Expeditionary Force 1-T2.png", "blue")',
		},
		['active'] = true,
	},
	['Campaign End Draw'] = {
		['condition'] = 'MissionInstance == 40',
		['once'] = true,
		['action'] = {
			[1] = 'Action.CampaignEnd("draw")',
			[2] = 'Action.Text("The air campaign has seen a sustained period of inactivity. Seemingly unable to complete the destruction of the Russian Air Force and infrastructure, US Central Command has called off all squadrons from offensive operations. We hope negociations with Russians will convince them to stop attacks in Georgia")',
			[3] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['Campaign 20 percents destructions'] = {
		['condition'] = 'GroundTarget["blue"].percent < 80',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("Enemy targets have sustained fair damages. Keep up the good work")',
		},
		['active'] = true,
	},
	['679 Squadron Activation'] = {
		['condition'] = 'Return.Mission() > 2',
		['once'] = true,
		['action'] = {
			[1] = 'Action.AirUnitActive("679 Squadron", true)',
			[2] = 'Action.TargetActive("Bassel Al-Assad Airbase Alert 80 Km", true)',
			[3] = 'Action.TargetActive("Bassel Al-Assad Airbase Alert 40 Km", true)',
		},
		['active'] = true,
	},
	['Activation B-52H'] = {
		['condition'] = 'Return.Mission() > 8',
		['once'] = true,
		['action'] = {
			[1] = 'Action.AirUnitActive("69 BS", true)',
			[2] = 'Action.Text("B-52H from 96 BS are back for long range missions against Syrian SAM sites")',
		},
		['active'] = true,
	},
	['TF-71 Patrol Zone 2'] = {
		['condition'] = 'Return.Mission() >= 2',
		['once'] = true,
		['action'] = 'Action.ShipMission("TF-71", {{"CV-2-1", "CV-2-2", "CV-2-3", "CV-2-4"}}, 10, 8, nil)',
		['active'] = true,
	},
	['Campaign Red first destructions'] = {
		['condition'] = 'GroundTarget["red"].percent < 100',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("The enemy destroyed its first allied targets, you must defend them.")',
		},
		['active'] = true,
	},
	['Insurgent-Mortar-Team-3 mouvement'] = {
		['condition'] = 'Return.targetIsActive("Insurgent-Mortar-Team-3") and Return.Mission() > 4 and (Return.TargetAlive("Insurgent-Mortar-Team-3") > 0)',
		['once'] = false,
		['action'] = {
			[1] = 'Action.TemplateActive("Insurgent-Mortar-Team-3-T1.stm","Insurgent-Mortar-Team-3-T2.stm")',
			[2] = 'Action.Text("At least one mortar is pounding Beirut airport. Its position is estimated to the 195° and 2 or 3NM from the main airport terminal")',
		},
		['active'] = true,
	},
	['Desactivation2 B-52H'] = {
		['condition'] = 'Return.Mission() > 12',
		['once'] = true,
		['action'] = {
			[1] = 'Action.AirUnitActive("69 BS", false)',
			[2] = 'Action.Text("B-52H from 96 BS must stop long range missions to rest and replenish their potential")',
		},
		['active'] = true,
	},
	['TF-71 Patrol At Sea'] = {
		['condition'] = 'Return.Mission() >= 1',
		['once'] = true,
		['action'] = 'Action.ShipMission("TF-71", {{"CV-1-1", "CV-1-2", "CV-1-3", "CV-1-4"}}, 10, 8, nil)',
		['active'] = false,
	},
	['Campaign End Victory 2'] = {
		['condition'] = 'Return.totalAirUnitAliveBySide("red") < 10',
		['once'] = true,
		['action'] = {
			[2] = 'Action.Text("The Syrian Air Force is in ruins. After repeated air strikes and disastrous losses in air-air combat, the Syrians are no longer able to produce any sorties or offer any resistance. The NATO now owns complete air superiority.")',
			[3] = 'Action.Text("L armee de l air syrienne est en ruine. Apres des frappes aeriennes repetees et des pertes desastreuses dans les combats air-air, les Syriens ne sont plus en mesure d effectuer aucune sortie ni d opposer aucune resistance. L OTAN possede desormais une superiorite aerienne totale.")',
			[1] = 'Action.CampaignEnd("win")',
			[4] = 'Action.AddImage("Newspaper_Victory_blue.jpg", "blue")',
			[5] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['Russian Expeditionary Force 1 activation'] = {
		['condition'] = 'GroundTarget["blue"].percent < 85',
		['once'] = true,
		['action'] = {
			[1] = 'Action.TemplateActive("Russian Expeditionary Force 1-T1.stm")',
			[2] = 'Action.TargetActive("Russian Expeditionary Force 1", true)',
			[4] = 'Action.SetCampFlag(801, Return.Mission())',
			[3] = 'Action.Text("A Russian Expeditionary Force column is moving south on the roads just to the north of Rayak airbase")',
		},
		['active'] = true,
	},
	['Russian Expeditionary Force 1 alternate activation'] = {
		['condition'] = 'Return.Mission() > 14',
		['once'] = true,
		['action'] = {
			[2] = 'Action.TargetActive("Russian Expeditionary Force 1", true)',
			[3] = 'Action.Text("A Russian Expeditionary Force column is moving south on the roads just to the north of Rayak airbase")',
			[1] = 'Action.TemplateActive("Russian Expeditionary Force 1-T1.stm")',
			[4] = 'Action.AddImage("Russian Expeditionary Force 1-T1.png", "blue")',
			[5] = 'Action.SetCampFlag(801, Return.Mission())',
		},
		['active'] = true,
	},
	['Insurgent-Mortar-Team-3 activation'] = {
		['condition'] = 'Return.Mission() > 6',
		['once'] = false,
		['action'] = {
			[1] = 'Action.TemplateActive("Insurgent-Mortar-Team-3-T1.stm","Insurgent-Mortar-Team-3-T2.stm")',
			[2] = 'Action.TargetActive("Insurgent-Mortar-Team-3", true)',
		},
		['active'] = true,
	},
	['Campaign End Loss'] = {
		['condition'] = 'Return.AirUnitAlive("VFA-106") < 2',
		['once'] = true,
		['action'] = {
			[2] = 'Action.Text("Ongoing combat operations have exhausted your squadron. Loss rate has reached a level where reinforcements are no longer able to sustain combat operations. With the failure of Allied Air Force to attain air superiority, US Central Command has decided to call of the air campaign against the enemy. Without destroying enemy airbases it seems unlikely that the coalition will be able to win this war.")',
			[3] = 'Action.Text("Les operations de combat en cours ont epuise votre escadron. Le taux de pertes a atteint un niveau tel que les renforts ne sont plus en mesure de soutenir les operations de combat. Face a l echec des des forces aeriennes alliees a atteindre la superiorite aerienne, le Commandement central americain a decide de stopper la campagne aerienne contre lennemi. Il semble peu probable que la coalition puisse gagner cette guerre.")',
			[1] = 'Action.CampaignEnd("loss")',
			[4] = 'Action.AddImage("Newspaper_Defeat_blue.jpg", "blue")',
			[5] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['Russian-Expeditionary-Force-Arty-1 activation'] = {
		['condition'] = 'Return.CampFlag(801) and (Return.Mission() >= Return.CampFlag(801) + 1)',
		['once'] = true,
		['action'] = {
			[1] = 'Action.TemplateActive("Russian-Expeditionary-Force-Arty-1-T1.stm","Russian-Expeditionary-Force-Arty-1-T2.stm","Russian-Expeditionary-Force-Arty-1-T3.stm")',
			[2] = 'Action.TargetActive("Russian-Expeditionary-Force-Arty-1", true)',
		},
		['active'] = true,
	},
	['US_defense in Beirut Stats'] = {
		['condition'] = 'Return.PlaceLogistic("Beirut-Rafic Hariri") < 100000 ',
		['once'] = false,
		['action'] = {
			[1] = 'Action.LogisticObjectif("Beirut-Rafic Hariri", 100000)',
		},
		['active'] = true,
	},
	['Activation C-130'] = {
		['condition'] = 'Return.TargetAlive("SAM-SA6-Tripoli") == 0 and Return.TargetAlive("SAM-SA6-Beirut-North") == 0 and Return.TargetAlive("SAM-SA6-Beirut-South") == 0 and Return.TargetAlive("SAM-SA6-Saida") == 0',
		['once'] = true,
		['action'] = {
			[1] = 'Action.AirUnitActive("136th AW", true)',
			[2] = 'Action.TargetActive("Airlift Beirut-Rafic Hariri Airbase", true)',
			[3] = 'Action.Text("C-130 will begin rotation between Cyprus and Beirut Airport")',
		},
		['active'] = true,
	},
	['Campaign End Loss 2'] = {
		['condition'] = 'Return.TargetAlive("Beirut-Rafic Hariri Airbase") == 0 or Return.TargetAlive("Beirut-Rafic Hariri Airbase Runway") == 0 ',
		['once'] = true,
		['action'] = {
			[2] = 'Action.Text("After the Beirut-Rafic Hariri Airbase has been hit and crippled by air strikes the libanese defense collapsed and it will be impossible for NATO to save this country. This is a bitter defeat.")',
			[3] = 'Action.Text("Apres que la base aerienne de Beyrouth-Rafic Hariri ait ete touchee et paralysee par des frappes aeriennes, la defense libanaise s est effondree et il sera impossible pour l OTAN de sauver ce pays. C est une defaite amere.")',
			[1] = 'Action.CampaignEnd("loss")',
			[4] = 'Action.AddImage("Newspaper_Defeat_blue.jpg", "blue")',
			[5] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['Us_defense in Beirut airborn activation'] = {
		['condition'] = 'Return.PlaceLogistic("Beirut-Rafic Hariri") > 100000',
		['once'] = true,
		['action'] = {
			[1] = 'Action.TemplateActive("Beirut_US_defense.stm")',
			[2] = 'Action.Text("US Air defenses are active to defend Beirut")',
			[3] = 'Action.Text("Hercules crews were able to provide enough Airplanes ans Shoppers Ammo to allow them to reload on Beirut Airport")',
		},
		['active'] = true,
	},
	['Repair'] = {
		['condition'] = 'true',
		['action'] = 'Action.AirUnitRepair()',
		['active'] = true,
	},
	['Russian Expeditionary Force 1 move 3'] = {
		['condition'] = 'Return.targetIsActive("Russian Expeditionary Force 1") and Return.CampFlag(801) and (Return.Mission() == Return.CampFlag(801) + 2) and (Return.TargetAlive("Russian Expeditionary Force 1") > 0)',
		['once'] = false,
		['action'] = {
			[1] = 'Action.TemplateActive("Russian Expeditionary Force 1-T3.stm")',
			[2] = 'Action.Text("Russian Expeditionary Column Force is moving west on the roads just to the East of Beirut Airbase")',
			[3] = 'Action.AddImage("Russian Expeditionary Force 1-T3.png", "blue")',
		},
		['active'] = true,
	},
	['Activate Light Guns in Beirut'] = {
		['condition'] = 'Return.Mission() > 0',
		['once'] = false,
		['action'] = {
			[1] = 'Action.TemplateActive("Light_Guns_T1.stm","Light_Guns_T2.stm")',
		},
		['active'] = true,
	},
	['Campaign Briefing'] = {
		['condition'] = 'true',
		['once'] = true,
		['action'] = {
			[13] = 'Action.Text("Les forces aeriennes Syriennes ne semblent pas avoir pris au serieux les menaces d intervention des USA et de leurs allies car leur activite est assez reduite pour l instant. Il faudra en profiter car nul doute que l armee de l air Syrienne reagira violemment et rapidement a nos premieres attaques.")',
			[7] = 'Action.Text("A final worrying element could be a direct intervention from Russia which increasingly feels capable of standing up to our air forces. We will need to carefully monitor Russian forces which could significantly increase the threat against our forces.")',
			[1] = 'Action.Text("In the 2000s, the Syrians, feeling supported by an increasingly strong Russia, invaded Lebanon again, taking advantage of the relative passivity of Israel. The weak Lebanese forces were quickly swept away and only Beirut still resists. Miraculously, several Western countries then decided to come to the aid of Lebanon to stop the invasion and defend Beirut at all costs.")',
			[2] = 'Action.Text("US forces sent a TF and several land bases grew in strength in Cyprus and Turkey.")',
			[4] = 'Action.Text("According to our information, easily transportable SAM-6 batteries were hastily installed in the territories conquered in Lebanon to the north and south of Beirut. These batteries will be our priority targets to allow easier access to Beirut airport, which should facilitate the establishment of an air bridge from Cyprus.")',
			[8] = 'Action.Text("Annees 2000s les Syriens se sentant soutenus par une Russie de plus en plus forte ont envahi a nouveau le Liban profitant d une relative passivite d Israel. Rapidement les faibles forces libanaises ont ete balayees et seule Beyrouth resiste encore. Miraculeusement plusieurs pays occidentaux decident alors de venir en aide au Liban pour stopper l invasion et defendre Beyrouth coute que coute.")',
			[15] = 'Action.AddImage("Newspaper_FirstNight_blue.jpg", "blue")',
			[9] = 'Action.Text("Les forces US ont envoye une TF et plusieurs bases terrestres sont montees en puissance sur Chypres et en Turquie.")',
			[5] = 'Action.Text("It will also be necessary to get rid of the artillery units which continually harass the airport from the front line or even the surrounding areas of the airport as quickly as possible. Mortar teams have indeed infiltrated and will certainly be difficult to locate due to their mobility.")',
			[10] = 'Action.Text("Les forces Syriennes au sol progressent au liban et atteignent les faubourgs de Beyrouth. L artillerie pilonne la ville et l aeroport. L aviation repose encore sur des Mig-21 vieillissants, des Mig-23 et quelques Mig-25. Des Mig-29 plus modernes sont actifs egalement.")',
			[14] = 'Action.Text("Un dernier element inquietant pourrait etre une intervention directe de la Russie qui de plus en plus se sent capable de tenir tete a nos forces aeriennes. Il faudra surveiller attentivement les forces russes qui pourraient augmenter fortement la menace contre nos forces.")',
			[3] = 'Action.Text("Syrian ground forces are advancing in Lebanon and reaching the suburbs of Beirut. Artillery shells the city and the airport. Aviation still relies on aging Mig-21s, Mig-23s and a few Mig-25s. More modern Mig-29As are also active.")',
			[6] = 'Action.Text("The Syrian air forces do not seem to have taken the threats of intervention from the USA and its allies seriously because their activity is quite limited for the moment. We will have to take advantage of this because there is no doubt that the Syrian air force will react violently and quickly to our first attacks.")',
			[12] = 'Action.Text("Il restera egalement a se debarrasser le plus rapidement possible des unites d artillerie qui harcelent continuellement l aeroport depuis la ligne de front ou meme les abords de l aeroport. Des equipes de mortiers se sont en effet infiltrees et seront certainement difficiles a localiser en raison de leur mobilite.")',
			[11] = 'Action.Text("D apres nos renseignements des batteries de SAM-6 aisement transportables ont ete installees a la hate sur les territoires conquis au Liban au nord et au sud de Beyrouth. Ces batteries seront nos cibles prioritaires pour permettre un acces plus aise a l aeroport de Beyrouth ce qui devrait faciliter la mise en place d un pont aerien depuis Chypre.")',
		},
		['active'] = false,
	},
	['Campaign End Victory 3'] = {
		['condition'] = 'GroundZoneTarget["blue"]["A"].percent < 25',
		['once'] = true,
		['action'] = {
			[2] = 'Action.Text("Allied forces completely destroyed the Syrian army. Good game.")',
			[3] = 'Action.Text("Les forces alliees ont totalement detruit l armee syrienne. Bien joue.")',
			[1] = 'Action.CampaignEnd("win")',
			[4] = 'Action.AddImage("Newspaper_Victory_blue.jpg", "blue")',
			[5] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['Red Ground Target Briefing Intel'] = {
		['condition'] = 'true',
		['action'] = 'Action.AddGroundTargetIntel("red")',
		['active'] = true,
	},
	['685 Squadron Activation'] = {
		['condition'] = 'Return.Mission() > 2',
		['once'] = true,
		['action'] = {
			[1] = 'Action.AirUnitActive("685 Squadron", true)',
		},
		['active'] = true,
	},
	['825 Squadron Activation'] = {
		['condition'] = 'Return.Mission() > 1',
		['once'] = true,
		['action'] = {
			[1] = 'Action.AirUnitActive("825 Squadron", true)',
			[2] = 'Action.TargetActive("Abu al-Duhur Airbase Alert 140 Km", true)',
			[3] = 'Action.TargetActive("Abu al-Duhur Airbase Alert 80 Km", true)',
		},
		['active'] = true,
	},
	['Syrian-3rd-Armored-Div-25th-Brig-Artillery mouvement'] = {
		['condition'] = 'Return.targetIsActive("Syrian-3rd-Armored-Div-25th-Brig-Artillery") and Return.Mission() > 3 and Return.TargetAlive("Syrian-3rd-Armored-Div-25th-Brig-Artillery") > 0',
		['once'] = false,
		['action'] = {
			[1] = 'Action.TemplateActive("Syrian-3rd-Armored-Div-25th-Brig-Artillery-T1.stm","Syrian-3rd-Armored-Div-25th-Brig-Artillery-T2.stm","Syrian-3rd-Armored-Div-25th-Brig-Artillery-T3.stm","Syrian-3rd-Armored-Div-25th-Brig-Artillery-T4")',
			[2] = 'Action.Text("A Syrian artillery battery is pounding Beirut Airbase from the North or North east, it seems to move often so it will be difficult to localize it")',
		},
		['active'] = true,
	},
	['Insurgent-Mortar-Team-2 mouvement'] = {
		['condition'] = 'Return.targetIsActive("Insurgent-Mortar-Team-2") and Return.Mission() > 4 and (Return.TargetAlive("Insurgent-Mortar-Team-2") > 0)',
		['once'] = false,
		['action'] = {
			[1] = 'Action.TemplateActive("Insurgent-Mortar-Team-2-T1.stm","Insurgent-Mortar-Team-2-T2.stm","Insurgent-Mortar-Team-2-T3.stm")',
			[2] = 'Action.Text("At least one mortar is pounding Beirut airport. Its position is estimated to the 65° and 1 or 2NM from the main airport terminal")',
		},
		['active'] = true,
	},
	['SAM-SA10-Russian activation'] = {
		['condition'] = 'Return.CampFlag(801) and (Return.Mission() >= Return.CampFlag(801) + 1)',
		['once'] = true,
		['action'] = {
			[1] = 'Action.TemplateActive("SAM-SA10-Russian.stm")',
			[2] = 'Action.TargetActive("SAM-SA10-Russian", true)',
			[3] = 'Action.Text("A formidable russian SA-10 site appeared South East of Shayrat")',
		},
		['active'] = true,
	},
	['Campaign End Victory 1'] = {
		['condition'] = 'GroundTarget["blue"].percent < 40',
		['once'] = true,
		['action'] = {
			[2] = 'Action.Text("Allied forces completely destroyed the Syrian forces. Good game.")',
			[3] = 'Action.Text("Les forces alliees ont totalement detruit les forces syrienne. Bien joue.")',
			[1] = 'Action.CampaignEnd("win")',
			[4] = 'Action.AddImage("Newspaper_Victory_blue.jpg", "blue")',
			[5] = 'NoMoreNewspaper = true',
		},
		['active'] = true,
	},
	['Campaign first destructions'] = {
		['condition'] = 'GroundTarget["blue"].percent < 100',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("First targets have been destroyed. Keep up the good work")',
		},
		['active'] = true,
	},
	['Syrian-3rd-Armored-Div-25th-Brig-Artillery activation'] = {
		['condition'] = 'Return.Mission() > 3',
		['once'] = true,
		['action'] = {
			[1] = 'Action.TemplateActive("Syrian-3rd-Armored-Div-25th-Brig-Artillery-T1.stm","Syrian-3rd-Armored-Div-25th-Brig-Artillery-T2.stm","Syrian-3rd-Armored-Div-25th-Brig-Artillery-T3.stm","Syrian-3rd-Armored-Div-25th-Brig-Artillery-T4")',
			[2] = 'Action.TargetActive("Syrian-3rd-Armored-Div-25th-Brig-Artillery", true)',
		},
		['active'] = true,
	},
	['Russian 28 GvIAP Activation'] = {
		['condition'] = 'Return.CampFlag(801)',
		['once'] = true,
		['action'] = {
			[1] = 'Action.AirUnitActive("28 GvIAP", true)',
			[2] = 'Action.TargetActive("Al-Dumayr Airbase Alert 220 Km", true)',
			[4] = 'Action.Text("It seems that Russians are getting more and more involved in this conflict : a new kind of Mig-29 Fighter Squadron appears in the Syrian sky")',
			[3] = 'Action.TargetActive("Al-Dumayr Airbase Alert 150 Km", true)',
		},
		['active'] = true,
	},
	['Russian 14th IAP Activation'] = {
		['condition'] = 'Return.CampFlag(801) and (Return.Mission() >= Return.CampFlag(801) + 1)',
		['once'] = true,
		['action'] = {
			[1] = 'Action.AirUnitActive("14th IAP", true)',
			[2] = 'Action.Text("A new kind of Russian Fighter appears in the Syrian sky : it could be the Su-30")',
		},
		['active'] = true,
	},
	['67 Squadron Activation'] = {
		['condition'] = 'Return.Mission() > 1',
		['once'] = true,
		['action'] = {
			[1] = 'Action.AirUnitActive("67 Squadron", true)',
			[2] = 'Action.TargetActive("Aleppo Airbase Alert 90 Km", true)',
		},
		['active'] = true,
	},
	['Patriot in Beirut Stats'] = {
		['condition'] = 'Return.PlaceLogistic("Beirut-Rafic Hariri") < 200000 ',
		['once'] = false,
		['action'] = {
			[1] = 'Action.LogisticObjectif("Beirut-Rafic Hariri", 200000)',
		},
		['active'] = true,
	},
	['Campaign Red 20 percents destructions'] = {
		['condition'] = 'GroundTarget["red"].percent < 80',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("The enemy destroyed nearly 20 percents of allied targets, you must defend them.")',
		},
		['active'] = true,
	},
	['TF-71 Patrol Zone 3'] = {
		['condition'] = 'Return.TargetAlive("Antiship battery 1") <= 20 and Return.Mission() >= 3',
		['once'] = true,
		['action'] = 'Action.ShipMission("TF-71", {{"CV-3-1", "CV-3-2", "CV-3-3", "CV-3-4"}}, 10, 8, nil)',
		['active'] = true,
	},
	['LHA-Tarawa-Group Patrol ATest Sea'] = {
		['condition'] = 'Return.Mission() == 1',
		['once'] = true,
		['action'] = 'Action.ShipMission("LHA-Tarawa-Group", {{"LHA-T-1-1", "LHA-T-1-2", "LHA-T-1-3", "LHA-T-1-4"}}, 10, 8, nil)',
		['active'] = false,
	},
	['Russian 277th Bomber Aviation Regiment Activation'] = {
		['condition'] = 'Return.CampFlag(801) and (Return.Mission() >= Return.CampFlag(801) + 1)',
		['once'] = true,
		['action'] = {
			[1] = 'Action.AirUnitActive("277th Bomber Aviation Regiment", true)',
			[2] = 'Action.AirUnitActive("Russian Attack Helicopter Rgt", true)',
			[3] = 'Action.Text("A new kind of Russian Bomber appears in the Syrian sky : it could be the Su-34")',
		},
		['active'] = true,
	},
	['Insurgent-Mortar-Team-1 mouvement'] = {
		['condition'] = 'Return.targetIsActive("Insurgent-Mortar-Team-1") and Return.Mission() > 0 and (Return.TargetAlive("Insurgent-Mortar-Team-1") > 0)',
		['once'] = false,
		['action'] = {
			[1] = 'Action.TemplateActive("Insurgent-Mortar-Team-1-T1.stm","Insurgent-Mortar-Team-1-T2.stm","Insurgent-Mortar-Team-1-T3.stm")',
			[2] = 'Action.Text("At least one mortar is pounding Beirut airport. Its position is estimated to the 145° and 2 or 3NM from the main airport terminal")',
		},
		['active'] = true,
	},
	['Syrian-11th-Armored-Div-64th-Brig-Artillery mouvement'] = {
		['condition'] = 'Return.targetIsActive("Syrian-11th-Armored-Div-64th-Brig-Artillery") and Return.Mission() > 1 and Return.TargetAlive("Syrian-11th-Armored-Div-64th-Brig-Artillery") > 0',
		['once'] = false,
		['action'] = {
			[1] = 'Action.TemplateActive("Syrian-11th-Armored-Div-64th-Brig-Artillery-T1.stm","Syrian-11th-Armored-Div-64th-Brig-Artillery-T2.stm","Syrian-11th-Armored-Div-64th-Brig-Artillery-T3.stm","Syrian-11th-Armored-Div-64th-Brig-Artillery-T4")',
			[2] = 'Action.Text("A Syrian artillery battery is pounding Beirut Airbase from the south or south east, it seems to move often so it will be difficult to localize it")',
		},
		['active'] = true,
	},
	['Campaign 50 percents destructions'] = {
		['condition'] = 'GroundTarget["blue"].percent < 50',
		['once'] = true,
		['action'] = {
			[1] = 'Action.Text("More than half of our targets are neutralized. Intelligence think that the enemy will ask for a cease fire soon")',
		},
		['active'] = true,
	},
	['Activation 11th Attack Squadron'] = {
		['condition'] = 'Return.TargetAlive("SAM-SA6-Tripoli") == 0 and Return.TargetAlive("SAM-SA6-Beirut-North") == 0 and Return.TargetAlive("SAM-SA6-Beirut-South") == 0 and Return.TargetAlive("SAM-SA6-Saida") == 0',
		['once'] = true,
		['action'] = {
			[2] = 'Action.TargetActive("AFAC Beirout North", true)',
			[3] = 'Action.TargetActive("AFAC Beirout South", true)',
			[1] = 'Action.AirUnitActive("11th Attack Squadron", true)',
			[4] = 'Action.TargetActive("AFAC Beirout East", true)',
			[5] = 'Action.Text("US Reapers begin AFAC missions on the frontlines ")',
		},
		['active'] = true,
	},
	['Desactivation B-52H'] = {
		['condition'] = 'Return.Mission() > 4',
		['once'] = true,
		['action'] = {
			[1] = 'Action.AirUnitActive("69 BS", false)',
			[2] = 'Action.Text("B-52H from 96 BS must stop long range missions to rest and replenish their potential")',
		},
		['active'] = true,
	},
	['Blue Ground Target Briefing Intel'] = {
		['condition'] = 'true',
		['action'] = 'Action.AddGroundTargetIntel("blue")',
		['active'] = true,
	},
	['Patriot in Beirut airborn activation'] = {
		['condition'] = 'Return.PlaceLogistic("Beirut-Rafic Hariri") > 200000',
		['once'] = true,
		['action'] = {
			[7] = 'Action.TargetActive("Shayrat Airbase Alert 230 Km", false)',
			[1] = 'Action.TemplateActive("Patriot in Beirut.stm")',
			[2] = 'Action.TargetActive("Patriot in Beirut", true)',
			[4] = 'Action.TargetActive("Abu al Duhur Airbase Alert 140 Km", false)',
			[8] = 'Action.TargetActive("Tiyas Airbase Alert 300 Km", false)',
			[9] = 'Action.TargetActive("Al-Dumayr Airbase Alert 220 Km", false)',
			[5] = 'Action.TargetActive("An Nasiriyah Airbase Alert 250 Km", false)',
			[10] = 'Action.Text("Patriot Site is active to defend Beirut")',
			[3] = 'Action.TargetActive("CAP Libanon Syria-Bis", true)',
			[6] = 'Action.TargetActive("Bassel Al Assad Airbase Alert 80 Km", false)',
		},
		['active'] = true,
	},
	['699 Squadron Activation'] = {
		['condition'] = 'Return.Mission() > 2',
		['once'] = true,
		['action'] = {
			[1] = 'Action.AirUnitActive("699 Squadron", true)',
			[2] = 'Action.TargetActive("Al-Dumayr Airbase Alert 220 Km", true)',
			[3] = 'Action.TargetActive("Al-Dumayr Airbase Alert 150 Km", true)',
		},
		['active'] = true,
	},
	['Syrian-11th-Armored-Div-64th-Brig-Artillery activation'] = {
		['condition'] = 'Return.Mission() > 1',
		['once'] = true,
		['action'] = {
			[1] = 'Action.TemplateActive("Syrian-11th-Armored-Div-64th-Brig-Artillery-T1.stm","Syrian-11th-Armored-Div-64th-Brig-Artillery-T2.stm","Syrian-11th-Armored-Div-64th-Brig-Artillery-T3.stm","Syrian-11th-Armored-Div-64th-Brig-Artillery-T4")',
			[2] = 'Action.TargetActive("Syrian-11th-Armored-Div-64th-Brig-Artillery", true)',
		},
		['active'] = true,
	},
	['Russian-Expeditionary-Force-Arty-1 mouvement'] = {
		['condition'] = 'Return.targetIsActive("Russian-Expeditionary-Force-Arty-1") and (Return.Mission() >= Return.CampFlag(801) + 1) and (Return.TargetAlive("Russian-Expeditionary-Force-Arty-1") > 0)',
		['once'] = false,
		['action'] = {
			[1] = 'Action.TemplateActive("Russian-Expeditionary-Force-Arty-1-T1.stm","Russian-Expeditionary-Force-Arty-1-T2.stm","Russian-Expeditionary-Force-Arty-1-T3.stm")',
			[2] = 'Action.Text("Russians heavy rocket launchers are pounding Beirut airport area.")',
		},
		['active'] = true,
	},
}
